
TYPO3.Neos - Feature # 13545

Status: Closed Priority: Should have
Author: Rens Admiraal Category: UI
Created: 2011-03-02 Assigned To: Rens Admiraal
Updated: 2014-10-04 Due date:
Subject: Configure accessRoles options for pages
Description

We are already able to configure a page as "hidden", and set start and stop time.

However, we are not yet able to configure the "AccessRoles" for the page in the Content module. This should be fixed.

History
#1 - 2011-04-05 10:11 - Bastian Waidelich

We need to keep in mind that this is partly security related and partly a rendering issue. E.g. a page that is only accessible by an admin, should not
even be loaded from the CR if no admin is logged in. But it must be possible to render the menu entry (similar to "showAccessRestrictedPages" in v4
that could point to a login form).
Apart from that it must be possible to simply hide pages in the menu ("notInMenu").

In the long run we probably need ACLs for single properties even.

#2 - 2011-11-07 10:45 - Sebastian Kurfuerst
- Subject changed from Configure Visibility / access options for pages to Configure accessRoles options for pages

#3 - 2011-11-07 10:45 - Sebastian Kurfuerst
- Project changed from Base Distribution to TYPO3.Neos

#4 - 2011-11-07 10:45 - Sebastian Kurfuerst
- Parent task deleted (#13543)

#5 - 2011-11-07 10:46 - Sebastian Kurfuerst
- Tracker changed from Task to Feature
- Category set to UI

shall be done qite soon, is a missing feature.

#6 - 2011-11-17 11:32 - Rens Admiraal

possible group selection library found by Sebastian: http://documentcloud.github.com/visualsearch/

#7 - 2011-11-17 11:57 - Rens Admiraal
- File AccessRolesInspectorPanel.bmml added
- File AccessRolesInspectorPanel.pdf added
http://documentcloud.github.com/visualsearch/


Hereby a simple UI concept for adding access roles to a node. By using the Visual Search library we can actually add support to search for roles &
session states (like 'display at login') using an easy to use autosuggest.
Because this field is still small I'd suggest to just add it to the inspector panel for content elements / pages.

The (1) mark is the Visual Search element

#8 - 2011-11-23 14:18 - Sebastian Kurfuerst
- Assigned To set to Rens Admiraal

#9 - 2012-01-06 23:54 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7694

#10 - 2012-01-07 00:00 - Rens Admiraal
- Status changed from New to Under Review

#11 - 2012-01-20 18:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7694

#12 - 2012-01-29 11:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7694

#13 - 2012-07-30 23:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7694

#14 - 2012-07-30 23:55 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7694

#15 - 2013-08-09 16:49 - Karsten Dambekalns
- Status changed from Under Review to Accepted

#16 - 2014-10-04 12:07 - Lienhart Woitok
- Status changed from Accepted to Closed

Probably obsoleted by ACLs.
Files
AccessRolesInspectorPanel.bmml 6.5 kB 2011-11-17 Rens Admiraal
AccessRolesInspectorPanel.pdf 19.6 kB 2011-11-17 Rens Admiraal
